%global bundle org.springframework.build.osgi
%global namedreltag %nil
%global namedversion %{version}%{?namedreltag}
Name:          spring-build-osgi-ant
Version:       1.0.1
Release:       %mkrel 1
Summary:       OSGi ANT Tasks
Group:         Development/Java
License:       ASL 2,0
Url:           http://www.springsource.org/
# mkdir -p osgi-ant-1.0.1
# git clone git://git.springsource.org/spring-build/osgi-ant.git
# cd osgi-ant
# git archive master | tar -x -C ../osgi-ant-1.0.1
# cd ..
# tar czf osgi-ant-1.0.1-src-git.tar.gz osgi-ant-1.0.1
Source0:       osgi-ant-1.0.1-src-git.tar.gz
# mkdir -p spring-build-2.8.0
# git clone git://git.springsource.org/spring-build/spring-build.git
# cd spring-build
# git archive 2.8.0 | tar -x -C ../spring-build-2.8.0
# cd ..
# tar czf spring-build-2.8.0-src-git.tar.gz spring-build-2.8.0
Source1:       spring-build-2.8.0-src-git.tar.gz

Source2:       org.springframework.build.osgi.pom

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: apache-commons-codec 
BuildRequires: apache-commons-logging 
BuildRequires: ecj3
BuildRequires: eclipse-equinox-osgi
BuildRequires: ivy
BuildRequires: jakarta-commons-httpclient
BuildRequires: java-xmlbuilder
BuildRequires: jets3t07
BuildRequires: junit4

BuildRequires: spring-build-ant
BuildRequires: spring-build-aws-ivy

Requires:      eclipse-equinox-osgi
Requires:      jets3t07

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Spring projects are built using a combination of Ant and Ivy that is refered
to simply as 'Spring Build'.

This package contains OSGi ANT Tasks.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n osgi-ant-%{namedversion} -a 1

for f in $(find . -name "*.jar"); do
 mv $f $f.no
done

rm -rf spring-build
mv spring-build-2.8.0 %{bundle}/spring-build

mkdir -p local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0
ln -sf $(build-classpath ant) \
  local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-1.7.0.jar

touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/com.springsource.org.apache.tools.ant-sources-1.7.0.jar
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/license-1.7.0.txt
touch local-repository/repository/org.apache.ant/com.springsource.org.apache.tools.ant/1.7.0/notice-1.7.0.txt

mkdir -p local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2
ln -sf $(build-classpath ivy) \
  local-repository/repository/org.apache.ant/com.springsource.org.apache.ivy/2.0.0.beta2/com.springsource.org.apache.ivy-2.0.0.beta2.jar

mkdir -p local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1
ln -sf $(build-classpath ecj3) \
  local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-3.6.1.jar

touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/license-3.6.1.txt
touch local-repository/repository/org.eclipse.jdt/com.springsource.org.eclipse.jdt.core.compiler.batch/3.6.1/com.springsource.org.eclipse.jdt.core.compiler.batch-sources-3.6.1.jar

mkdir -p local-repository/repository/org.eclipse.osgi/org.eclipse.osgi/3.5.0.v20090311-1300
ln -sf $(build-classpath eclipse-osgi) \
  local-repository/repository/org.eclipse.osgi/org.eclipse.osgi/3.5.0.v20090311-1300/org.eclipse.osgi-3.5.0.v20090311-1300.jar
touch local-repository/repository/org.eclipse.osgi/org.eclipse.osgi/3.5.0.v20090311-1300/org.eclipse.osgi-sources-3.5.0.v20090311-1300.jar
touch local-repository/repository/org.eclipse.osgi/org.eclipse.osgi/3.5.0.v20090311-1300/license-3.5.0.v20090311-1300.txt

mkdir -p local-repository/repository/org.junit/com.springsource.org.junit/4.4.0
ln -sf $(build-classpath junit4) \
  local-repository/repository/org.junit/com.springsource.org.junit/4.4.0/com.springsource.org.junit-4.4.0.jar

mkdir -p local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1
ln -sf $(build-classpath java-xmlbuilder) \
  local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/com.springsource.com.jamesmurty.utils-0.0.1.jar
touch local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/com.springsource.com.jamesmurty.utils-sources-0.0.1.jar
touch local-repository/repository/com.jamesmurty/com.springsource.com.jamesmurty.utils/0.0.1/license-0.0.1.txt

mkdir -p local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE
touch local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-sources-1.1.0.RELEASE.jar
ln -sf $(build-classpath spring-build/org.springframework.build.ant) \
  local-repository/repository/org.springframework.build/org.springframework.build.ant/1.1.0.RELEASE/org.springframework.build.ant-1.1.0.RELEASE.jar

%build
export CLASSPATH=""
CLASSPATH=${CLASSPATH}:$(build-classpath commons-codec commons-httpclient commons-logging ivy jets3t07 spring-build/org.springframework.build.aws.ivy)
CLASSPATH=${CLASSPATH}:$(build-classpath eclipse-osgi eclipse-osgi-services eclipse-osgi-util)
export ANT_OPTS="-Xmx768m -XX:MaxPermSize=128m"
export IVY_CACHE=$(pwd)/ivy-cache/repository
export IVY_LOCAL=$(pwd)/local-repository
export ANT_BUILD_OPTS="-Divy.cache.dir=${IVY_LOCAL} -Dlocal.repo.dir=${IVY_LOCAL} -Dtest.halt=false -Dbuild.sysclasspath=first -Djava.awt.headless=true"

(
  cd org.springframework.build.osgi
# TODO 
echo 'disable.bundlor=true' >> build.properties-temp
cat build.properties >> build.properties-temp
  rm build.properties && mv build.properties-temp build.properties
  %{ant} $ANT_BUILD_OPTS jar javadoc-all
)
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/spring-build
install -pm 644 %{bundle}/target/artifacts/%{bundle}-sources.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/
install -pm 644 %{bundle}/target/artifacts/%{bundle}.jar $RPM_BUILD_ROOT%{_javadir}/spring-build/

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
sed -i "s|<version>@VERSION@</version>|<version>%{version}</version>|" $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.spring-build-%{bundle}.pom
%add_to_maven_depmap org.springframework.build %{bundle} %{version} JPP/spring-build %{bundle}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp %{bundle}/target/javadoc-all/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/spring-build/%{bundle}.jar
%{_javadir}/spring-build/%{bundle}-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc license.txt notice.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 28 2011 gil <gil> 1.0.1-1.mga2
+ Revision: 173981
- imported package spring-build-osgi-ant

